Bug 1095362 - Shortcuts don't use Shift modifier correctly
Summary: Shortcuts don't use Shift modifier correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libxfce4ui
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-07 14:31 UTC by Tomas Heinrich
Modified: 2016-09-20 04:52 UTC (History)
4 users (show)

Fixed In Version: libxfce4ui-4.10.0-11.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-02 22:55:55 UTC


Attachments (Terms of Use)

Description Tomas Heinrich 2014-05-07 14:31:01 UTC
Description of problem:
Certain combinations of keys involving Shift can't be assigned as a shortcut.

This has already been fixed upstream:
https://bugzilla.xfce.org/show_bug.cgi?id=8744
and in Debian:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=721669

Version-Release number of selected component (if applicable):
libxfce4ui-4.10.0-9.fc20.x86_64

How reproducible:
100%

Steps to Reproduce:
Define a shortcut in xfce4-settings-manager -> window manager -> keyboard
using Shift and an ordinary letter.
E.g.: "<Alt><Shift>a".

Actual results:
It will be assigned without Shift ("<Alt>a").
Shortcuts, comprised of modifier keys only, work as expected.

Expected results:
"<Alt><Shift>a".

Comment 1 Mukundan Ragavan 2014-05-12 13:28:21 UTC
Thanks for the report and for the link to the patch.

I will try to apply the patch and add a link to the package for testing here today.

Comment 2 Mukundan Ragavan 2014-05-13 17:05:03 UTC
Can you try this rpm and see if it works/breaks anything else?

http://nonamedotc.fedorapeople.org/misc/libxfce4ui-4.10.0-11.fc21.x86_64.rpm

In my tests, <Shift> is accepted as a modifier, but it does not combine with any other key - but I would like a confirmation of this behavior.

Thanks!

Comment 3 Mukundan Ragavan 2014-05-13 17:08:25 UTC
$ rpm -qa libxfce4ui
libxfce4ui-4.10.0-11.fc21.x86_64

Assigning shift as a shortcut will "work" but not in a combination. Again, I would appreciate a confirmation of this behavior.

Comment 4 Tomas Heinrich 2014-05-14 11:22:48 UTC
(In reply to Mukundan Ragavan from comment #2)
> Can you try this rpm and see if it works/breaks anything else?

I've updated to libxfce4ui-4.10.0-11.fc21.x86_64 and after playing with the shortcut editor for a while, I didn't notice any obvious breakage.
The use case described in comment #0 works as expected.


> In my tests, <Shift> is accepted as a modifier, but it does not combine with
> any other key - but I would like a confirmation of this behavior.

> Assigning shift as a shortcut will "work" but not in a combination. Again, I
> would appreciate a confirmation of this behavior.

I'm not sure what you mean by "does not combine with any other key".
I can assign shortcuts using Shift in combination with other keys, e.g.:
"<Shift><Alt>s".


One peculiarity I've noticed is that different shortcuts are created depending on the order of pressing the modifier keys, e.g.:

<Primary>Alt_L vs <Alt>Control_L
<Shift>Meta_L vs <Alt>Shift_R

This is not a new behavior and some people might prefer it this way, just mentioning it for the record.

In other cases, though, the order isn't significant, e.g.:

<Primary>Shift_R + s -> <Primary><Shift>s
<Shift>Control_R + s -> <Primary><Shift>s
<Alt>Shift_L + s  -> <Shift><Alt>s
<Shift>Meta_L + s -> <Shift><Alt>s


Let me know if you need me to try anything else.

Comment 5 Mukundan Ragavan 2014-05-14 13:46:12 UTC
Thanks for testing. 

I will submit this as an update for testing and let it live there for longer than usual after talking to Kevin and Christoph.

Please do report any breakages in the meantime here. In my system, all my keyboard functions work as before but I would certainly appreciate another pair of eyes. :)

(In reply to Tomas Heinrich from comment #4)
> 
> I'm not sure what you mean by "does not combine with any other key".
> I can assign shortcuts using Shift in combination with other keys, e.g.:
> "<Shift><Alt>s".
> 

Sorry for the confusion. I just noticed that I have made a mistake in my tests here (I assigned the shortcut to a program that I removed recently! Sigh!).

Comment 6 Tomas Heinrich 2014-05-14 14:28:24 UTC
(In reply to Mukundan Ragavan from comment #5)
> I will submit this as an update for testing and let it live there for longer
> than usual after talking to Kevin and Christoph.
> 
> Please do report any breakages in the meantime here. In my system, all my
> keyboard functions work as before but I would certainly appreciate another
> pair of eyes. :)

Will do.
Thanks for taking care of this.

Comment 7 Fedora Update System 2014-05-17 02:50:08 UTC
libxfce4ui-4.10.0-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libxfce4ui-4.10.0-11.fc20

Comment 8 Fedora Update System 2014-05-17 02:51:08 UTC
libxfce4ui-4.10.0-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libxfce4ui-4.10.0-11.fc19

Comment 9 Fedora Update System 2014-05-18 22:53:03 UTC
Package libxfce4ui-4.10.0-11.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libxfce4ui-4.10.0-11.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6462/libxfce4ui-4.10.0-11.fc19
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-06-02 22:55:55 UTC
libxfce4ui-4.10.0-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-07-04 00:29:16 UTC
libxfce4ui-4.10.0-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.